#ifndef FILEINFO_HH
#define FILEINFO_HH

#include <stdio.h>
#include "mm.hh"
#include <sys/stat.h>
#include <sys/time.h>

class fileInfo: public mmStorage {
 public:
  fileInfo() {
    fname=0;
  }

  fileInfo(char *str, struct stat& stat_, struct timeval& fetched_) {
    fname=mmAlloc(strlen(str)+1);
    strcpy(fname, str);
    stat=stat_;
    fetched=fetched_;
  }

  mmBlock<char> fname;
  struct stat stat;
  struct timeval fetched;
};
#endif // FILEINFO_HH
