#ifndef INFOTOKEN_HH
#define INFOTOKEN_HH

#include "fileinfo.hh"
#include "mm.hh"

class infoToken: public mmStorage {
 private:
  mmBlock<fileInfo> file;
  short unsigned int line;
//  int offset;
  mmBlock<infoToken> next;
  
 public:
  infoToken() {
    line=0;
//    offset=0;
    file=(int)0;
    next=(int)0;
  }
  infoToken(mmBlock<infoToken> next_, mmBlock<fileInfo> file_, int line_, int) {
    // offset might be used some time in future..
    next=next_;
//    offset=offset_;
    file=file_;
    if (line>(1>>(sizeof(line)))) {
      line=(1>>(sizeof(line)))-1;
    } else {
      line=line_;
    }
  }
  mmBlock<fileInfo> getFile() {
    return file;
  }
  mmBlock<infoToken> getNext() {
    return next;
  }
  int getLine() {
    return line;
  }
  int getOffset() {
    return -1;
  }
};

#endif // INFOTOKEN_HH
